Bug 2132769 - Changes to recurring events don't redraw correctly
Summary: Changes to recurring events don't redraw correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-calendar
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gnome-sig
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F37FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2022-10-06 15:24 UTC by Kamil Páral
Modified: 2022-10-19 07:23 UTC (History)
7 users (show)

Fixed In Version: gnome-calendar-43.0-6.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-19 07:23:36 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gnome-calendar issues 881 0 None opened After editing a reoccuring event, the event isn't updated 2022-10-06 23:38:16 UTC

Description Kamil Páral 2022-10-06 15:24:52 UTC
This bug is just for blocker discussion. See the upstream description here:
https://gitlab.gnome.org/GNOME/gnome-calendar/-/issues/881

TLDR version: Changes to recurring events are not redrawn, one has to change the view to a different month and back to see the events updated.

Also see bug 2130977 comment 2 and later for some technical details.

Proposing for a blocker discussion.

Comment 1 Adam Williamson 2022-10-10 08:59:45 UTC
+5 in https://pagure.io/fedora-qa/blocker-review/issue/959 , marking accepted.

Comment 2 Ray Strode [halfline] 2022-10-11 17:47:56 UTC
posted a workaround here:

https://gitlab.gnome.org/GNOME/gnome-calendar/-/merge_requests/261

Comment 3 Fedora Update System 2022-10-11 20:23:33 UTC
FEDORA-2022-d687a7f331 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d687a7f331

Comment 4 Fedora Update System 2022-10-12 09:38:41 UTC
FEDORA-2022-d687a7f331 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-d687a7f331`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-d687a7f331

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-10-12 16:23:40 UTC
FEDORA-2022-d687a7f331 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-d687a7f331`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-d687a7f331

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Kamil Páral 2022-10-13 08:50:29 UTC
(In reply to Fedora Update System from comment #5)
> You can provide feedback for this update here:
> https://bodhi.fedoraproject.org/updates/FEDORA-2022-d687a7f331

Fixed in gnome-calendar-43.0-5.fc37.x86_64

Comment 7 Adam Williamson 2022-10-17 22:04:00 UTC
Needs re-testing with the new build (43.0-6), so setting back to ON_QA.

Comment 8 Kamil Páral 2022-10-18 08:13:33 UTC
(In reply to Adam Williamson from comment #7)
> Needs re-testing with the new build (43.0-6), so setting back to ON_QA.

Seems to be fixed.

Comment 9 Fedora Update System 2022-10-18 12:40:50 UTC
FEDORA-2022-d687a7f331 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-d687a7f331`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-d687a7f331

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-10-19 07:23:36 UTC
FEDORA-2022-d687a7f331 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.